<?php

return [
/*
* Provider .
*/
'provider'  => 'bek',

/*
* Package .
*/
'package'   => 'laundry',

/*
* Modules .
*/
'modules'   => ['items', 
'item_types', 
'item_items', 
'payments', 
'payment_methods', 
'orders', 
'orders', 
'injurs', 
'area', 
'user_discounts', 
'discounts', 
'blocks', 
'options', 
'block_categories'],

'items' => [
                    'Name'          => 'Items',
                    'name'          => 'items',
                    'table'         => 'items',
                    'model'         => 'Bek\Laundry\Models\Items',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'icon',  'name',  'item_type_id'],
                    'listfields'        => ['id', 'icon',  'name',  'item_type_id'],
                    'translatable'      => ['icon',  'name',  'item_type_id'],

                    'upload-folder'     => '/uploads/laundry/items',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'item_types' => [
                    'Name'          => 'ItemTypes',
                    'name'          => 'item_types',
                    'table'         => 'item_types',
                    'model'         => 'Bek\Laundry\Models\ItemTypes',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'name'],
                    'listfields'        => ['id', 'name'],
                    'translatable'      => ['name'],

                    'upload-folder'     => '/uploads/laundry/item_types',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'item_items' => [
                    'Name'          => 'ItemItems',
                    'name'          => 'item_items',
                    'table'         => 'item_items',
                    'model'         => 'Bek\Laundry\Models\ItemItems',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'name',  'price',  'is_master',  'item_id'],
                    'listfields'        => ['id', 'name',  'price',  'is_master',  'item_id'],
                    'translatable'      => ['name',  'price',  'is_master',  'item_id'],

                    'upload-folder'     => '/uploads/laundry/item_items',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'payments' => [
                    'Name'          => 'Payments',
                    'name'          => 'payments',
                    'table'         => 'payments',
                    'model'         => 'Bek\Laundry\Models\Payments',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'payment_method_id',  'currency',  'amount',  'state',  'response'],
                    'listfields'        => ['id', 'payment_method_id',  'currency',  'amount',  'state',  'response'],
                    'translatable'      => ['payment_method_id',  'currency',  'amount',  'state',  'response'],

                    'upload-folder'     => '/uploads/laundry/payments',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'payment_methods' => [
                    'Name'          => 'PaymentMethods',
                    'name'          => 'payment_methods',
                    'table'         => 'payment_methods',
                    'model'         => 'Bek\Laundry\Models\PaymentMethods',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'name',  'description',  'geteway',  'is_enabled'],
                    'listfields'        => ['id', 'name',  'description',  'geteway',  'is_enabled'],
                    'translatable'      => ['name',  'description',  'geteway',  'is_enabled'],

                    'upload-folder'     => '/uploads/laundry/payment_methods',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'orders' => [
                    'Name'          => 'Orders',
                    'name'          => 'orders',
                    'table'         => 'orders',
                    'model'         => 'Bek\Laundry\Models\Orders',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'number',  'address_id',  'payment_id',  'total',  'adjustment',  'status',  'shipping_status',  'payment_status'],
                    'listfields'        => ['id', 'number',  'address_id',  'payment_id',  'total',  'adjustment',  'status',  'shipping_status',  'payment_status'],
                    'translatable'      => ['number',  'address_id',  'payment_id',  'total',  'adjustment',  'status',  'shipping_status',  'payment_status'],

                    'upload-folder'     => '/uploads/laundry/orders',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'orders' => [
                    'Name'          => 'Orders',
                    'name'          => 'orders',
                    'table'         => 'orders',
                    'model'         => 'Bek\Laundry\Models\Orders',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'order_id',  'item_items_id',  'quantity',  'price'],
                    'listfields'        => ['id', 'order_id',  'item_items_id',  'quantity',  'price'],
                    'translatable'      => ['order_id',  'item_items_id',  'quantity',  'price'],

                    'upload-folder'     => '/uploads/laundry/orders',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'injurs' => [
                    'Name'          => 'Injurs',
                    'name'          => 'injurs',
                    'table'         => 'injurs',
                    'model'         => 'Bek\Laundry\Models\Injurs',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'order_id',  'description'],
                    'listfields'        => ['id', 'order_id',  'description'],
                    'translatable'      => ['order_id',  'description'],

                    'upload-folder'     => '/uploads/laundry/injurs',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'area' => [
                    'Name'          => 'Area',
                    'name'          => 'area',
                    'table'         => 'areas',
                    'model'         => 'Bek\Laundry\Models\Area',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'name',  'lat',  'lng',  'phone_number',  'address'],
                    'listfields'        => ['id', 'name',  'lat',  'lng',  'phone_number',  'address'],
                    'translatable'      => ['name',  'lat',  'lng',  'phone_number',  'address'],

                    'upload-folder'     => '/uploads/laundry/area',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'user_discounts' => [
                    'Name'          => 'UserDiscounts',
                    'name'          => 'user_discounts',
                    'table'         => 'user_discounts',
                    'model'         => 'Bek\Laundry\Models\UserDiscounts',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'client_id',  'amount',  'start_at',  'expire_at',  'source_id'],
                    'listfields'        => ['id', 'client_id',  'amount',  'start_at',  'expire_at',  'source_id'],
                    'translatable'      => ['client_id',  'amount',  'start_at',  'expire_at',  'source_id'],

                    'upload-folder'     => '/uploads/laundry/user_discounts',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'discounts' => [
                    'Name'          => 'Discounts',
                    'name'          => 'discounts',
                    'table'         => 'discounts',
                    'model'         => 'Bek\Laundry\Models\Discounts',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'source_id',  'source_type',  'amount',  'start_at',  'expire_at'],
                    'listfields'        => ['id', 'source_id',  'source_type',  'amount',  'start_at',  'expire_at'],
                    'translatable'      => ['source_id',  'source_type',  'amount',  'start_at',  'expire_at'],

                    'upload-folder'     => '/uploads/laundry/discounts',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'blocks' => [
                    'Name'          => 'Blocks',
                    'name'          => 'blocks',
                    'table'         => 'blocks',
                    'model'         => 'Bek\Laundry\Models\Blocks',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'block_id',  'block_title',  'block_thumbnail',  'block_short_content',  'block_content',  'is_enabled',  'block_category_id'],
                    'listfields'        => ['id', 'block_id',  'block_title',  'block_thumbnail',  'block_short_content',  'block_content',  'is_enabled',  'block_category_id'],
                    'translatable'      => ['block_id',  'block_title',  'block_thumbnail',  'block_short_content',  'block_content',  'is_enabled',  'block_category_id'],

                    'upload-folder'     => '/uploads/laundry/blocks',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'options' => [
                    'Name'          => 'Options',
                    'name'          => 'options',
                    'table'         => 'options',
                    'model'         => 'Bek\Laundry\Models\Options',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'key',  'value'],
                    'listfields'        => ['id', 'key',  'value'],
                    'translatable'      => ['key',  'value'],

                    'upload-folder'     => '/uploads/laundry/options',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'block_categories' => [
                    'Name'          => 'BlockCategories',
                    'name'          => 'block_categories',
                    'table'         => 'block_categories',
                    'model'         => 'Bek\Laundry\Models\BlockCategories',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'name',  'is_enabled'],
                    'listfields'        => ['id', 'name',  'is_enabled'],
                    'translatable'      => ['name',  'is_enabled'],

                    'upload-folder'     => '/uploads/laundry/block_categories',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
];
