<?php

use Illuminate\Database\Migrations\Migration;

class CreateBlocksTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: blocks
         */
        Schema::create('blocks', function ($table) {
            $table->increments('id');
            $table->string('block_id', 10)->nullable();
            $table->text('block_title')->nullable();
            $table->string('block_thumbnail', 255)->nullable();
            $table->text('block_short_content')->nullable();
            $table->longText('block_content')->nullable();
            $table->tinyInteger('is_enabled')->nullable();
            $table->integer('block_category_id')->nullable();
            $table->string('slug', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('blocks');
    }
}
