<?php

use Illuminate\Database\Migrations\Migration;

class CreatePaymentMethodsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: payment_methods
         */
        Schema::create('payment_methods', function ($table) {
            $table->increments('id');
            $table->string('name', 200)->nullable();
            $table->string('description', 255)->nullable();
            $table->string('geteway', 100)->nullable();
            $table->tinyInteger('is_enabled')->nullable();
            $table->string('slug', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('payment_methods');
    }
}
