<?php

use Illuminate\Database\Migrations\Migration;

class CreatePaymentsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: payments
         */
        Schema::create('payments', function ($table) {
            $table->increments('id');
            $table->integer('payment_method_id')->nullable();
            $table->string('currency', 100)->nullable();
            $table->integer('amount')->nullable();
            $table->string('state', 100)->nullable();
            $table->longText('response')->nullable();
            $table->string('slug', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('payments');
    }
}
