<?php

use Illuminate\Database\Migrations\Migration;

class CreateUserDiscountsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: user_discounts
         */
        Schema::create('user_discounts', function ($table) {
            $table->increments('id');
            $table->integer('client_id')->nullable();
            $table->double('amount', 50)->nullable();
            $table->dateTime('start_at')->nullable();
            $table->dateTime('expire_at')->nullable();
            $table->integer('source_id')->nullable();
            $table->string('slug', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('user_discounts');
    }
}
