<?php

namespace Bek\Laundry\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Bek\Laundry\Interfaces\AreaRepositoryInterface;

class AreaPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Bek\Area\Interfaces\AreaRepositoryInterface $area
     *
     * @return type
     */
    public function __construct(AreaRepositoryInterface $area)
    {
        $this->model = $area;
        parent::__construct();
    }

    /**
     * Show area's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $areas = $this->model->all();

        return $this->theme->of('laundry::public.area.index', compact('areas'))->render();
    }

    /**
     * Show area.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $area = $this->model->findBySlug($slug);

        return $this->theme->of('laundry::public.area.show', compact('area'))->render();
    }
}
