<?php

namespace Bek\Laundry\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Bek\Laundry\Interfaces\BlockCategoriesRepositoryInterface;

class BlockCategoriesPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Bek\BlockCategories\Interfaces\BlockCategoriesRepositoryInterface $block_categories
     *
     * @return type
     */
    public function __construct(BlockCategoriesRepositoryInterface $block_categories)
    {
        $this->model = $block_categories;
        parent::__construct();
    }

    /**
     * Show block_categories's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $block_categories = $this->model->all();

        return $this->theme->of('laundry::public.block_categories.index', compact('block_categories'))->render();
    }

    /**
     * Show block_categories.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $block_categories = $this->model->findBySlug($slug);

        return $this->theme->of('laundry::public.block_categories.show', compact('block_categories'))->render();
    }
}
