<?php

namespace Bek\Laundry\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Bek\Laundry\Interfaces\BlocksRepositoryInterface;

class BlocksPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Bek\Blocks\Interfaces\BlocksRepositoryInterface $blocks
     *
     * @return type
     */
    public function __construct(BlocksRepositoryInterface $blocks)
    {
        $this->model = $blocks;
        parent::__construct();
    }

    /**
     * Show blocks's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $blocks = $this->model->all();

        return $this->theme->of('laundry::public.blocks.index', compact('blocks'))->render();
    }

    /**
     * Show blocks.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $blocks = $this->model->findBySlug($slug);

        return $this->theme->of('laundry::public.blocks.show', compact('blocks'))->render();
    }
}
