<?php

namespace Bek\Laundry\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Bek\Laundry\Interfaces\DiscountsRepositoryInterface;

class DiscountsPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Bek\Discounts\Interfaces\DiscountsRepositoryInterface $discounts
     *
     * @return type
     */
    public function __construct(DiscountsRepositoryInterface $discounts)
    {
        $this->model = $discounts;
        parent::__construct();
    }

    /**
     * Show discounts's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $discounts = $this->model->all();

        return $this->theme->of('laundry::public.discounts.index', compact('discounts'))->render();
    }

    /**
     * Show discounts.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $discounts = $this->model->findBySlug($slug);

        return $this->theme->of('laundry::public.discounts.show', compact('discounts'))->render();
    }
}
