<?php

namespace Bek\Laundry\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Bek\Laundry\Interfaces\InjursRepositoryInterface;

class InjursPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Bek\Injurs\Interfaces\InjursRepositoryInterface $injurs
     *
     * @return type
     */
    public function __construct(InjursRepositoryInterface $injurs)
    {
        $this->model = $injurs;
        parent::__construct();
    }

    /**
     * Show injurs's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $injurs = $this->model->all();

        return $this->theme->of('laundry::public.injurs.index', compact('injurs'))->render();
    }

    /**
     * Show injurs.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $injurs = $this->model->findBySlug($slug);

        return $this->theme->of('laundry::public.injurs.show', compact('injurs'))->render();
    }
}
