<?php

namespace Bek\Laundry\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Bek\Laundry\Interfaces\ItemItemsRepositoryInterface;

class ItemItemsPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Bek\ItemItems\Interfaces\ItemItemsRepositoryInterface $item_items
     *
     * @return type
     */
    public function __construct(ItemItemsRepositoryInterface $item_items)
    {
        $this->model = $item_items;
        parent::__construct();
    }

    /**
     * Show item_items's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $item_items = $this->model->all();

        return $this->theme->of('laundry::public.item_items.index', compact('item_items'))->render();
    }

    /**
     * Show item_items.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $item_items = $this->model->findBySlug($slug);

        return $this->theme->of('laundry::public.item_items.show', compact('item_items'))->render();
    }
}
