<?php

namespace Bek\Laundry\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Bek\Laundry\Interfaces\ItemTypesRepositoryInterface;

class ItemTypesPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Bek\ItemTypes\Interfaces\ItemTypesRepositoryInterface $item_types
     *
     * @return type
     */
    public function __construct(ItemTypesRepositoryInterface $item_types)
    {
        $this->model = $item_types;
        parent::__construct();
    }

    /**
     * Show item_types's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $item_types = $this->model->all();

        return $this->theme->of('laundry::public.item_types.index', compact('item_types'))->render();
    }

    /**
     * Show item_types.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $item_types = $this->model->findBySlug($slug);

        return $this->theme->of('laundry::public.item_types.show', compact('item_types'))->render();
    }
}
