<?php

namespace Bek\Laundry\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Bek\Laundry\Interfaces\ItemsRepositoryInterface;

class ItemsPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Bek\Items\Interfaces\ItemsRepositoryInterface $items
     *
     * @return type
     */
    public function __construct(ItemsRepositoryInterface $items)
    {
        $this->model = $items;
        parent::__construct();
    }

    /**
     * Show items's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $items = $this->model->all();

        return $this->theme->of('laundry::public.items.index', compact('items'))->render();
    }

    /**
     * Show items.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $items = $this->model->findBySlug($slug);

        return $this->theme->of('laundry::public.items.show', compact('items'))->render();
    }
}
