<?php

namespace Bek\Laundry\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Bek\Laundry\Interfaces\OptionsRepositoryInterface;

class OptionsPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Bek\Options\Interfaces\OptionsRepositoryInterface $options
     *
     * @return type
     */
    public function __construct(OptionsRepositoryInterface $options)
    {
        $this->model = $options;
        parent::__construct();
    }

    /**
     * Show options's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $options = $this->model->all();

        return $this->theme->of('laundry::public.options.index', compact('options'))->render();
    }

    /**
     * Show options.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $options = $this->model->findBySlug($slug);

        return $this->theme->of('laundry::public.options.show', compact('options'))->render();
    }
}
