<?php

namespace Bek\Laundry\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Bek\Laundry\Interfaces\PaymentMethodsRepositoryInterface;

class PaymentMethodsPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Bek\PaymentMethods\Interfaces\PaymentMethodsRepositoryInterface $payment_methods
     *
     * @return type
     */
    public function __construct(PaymentMethodsRepositoryInterface $payment_methods)
    {
        $this->model = $payment_methods;
        parent::__construct();
    }

    /**
     * Show payment_methods's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $payment_methods = $this->model->all();

        return $this->theme->of('laundry::public.payment_methods.index', compact('payment_methods'))->render();
    }

    /**
     * Show payment_methods.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $payment_methods = $this->model->findBySlug($slug);

        return $this->theme->of('laundry::public.payment_methods.show', compact('payment_methods'))->render();
    }
}
