<?php

namespace Bek\Laundry\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Bek\Laundry\Interfaces\UserDiscountsRepositoryInterface;

class UserDiscountsPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Bek\UserDiscounts\Interfaces\UserDiscountsRepositoryInterface $user_discounts
     *
     * @return type
     */
    public function __construct(UserDiscountsRepositoryInterface $user_discounts)
    {
        $this->model = $user_discounts;
        parent::__construct();
    }

    /**
     * Show user_discounts's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $user_discounts = $this->model->all();

        return $this->theme->of('laundry::public.user_discounts.index', compact('user_discounts'))->render();
    }

    /**
     * Show user_discounts.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $user_discounts = $this->model->findBySlug($slug);

        return $this->theme->of('laundry::public.user_discounts.show', compact('user_discounts'))->render();
    }
}
