<?php

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/laundry/items', 'Bek\Laundry\Http\Controllers\ItemsAdminController');
});

// User routes for items
Route::group(['prefix' => 'user'], function () {
    Route::resource('/laundry/items', 'Bek\Laundry\Http\Controllers\ItemsUserController');
});

// Public routes for items
Route::get('laundry/items', 'Bek\Laundry\Http\Controllers\ItemsPublicController@index');
Route::get('laundry/items/{slug?}', 'Bek\Laundry\Http\Controllers\ItemsPublicController@show');

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/laundry/item_types', 'Bek\Laundry\Http\Controllers\ItemTypesAdminController');
});

// User routes for item_types
Route::group(['prefix' => 'user'], function () {
    Route::resource('/laundry/item_types', 'Bek\Laundry\Http\Controllers\ItemTypesUserController');
});

// Public routes for item_types
Route::get('laundry/item_types', 'Bek\Laundry\Http\Controllers\ItemTypesPublicController@index');
Route::get('laundry/item_types/{slug?}', 'Bek\Laundry\Http\Controllers\ItemTypesPublicController@show');

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/laundry/item_items', 'Bek\Laundry\Http\Controllers\ItemItemsAdminController');
});

// User routes for item_items
Route::group(['prefix' => 'user'], function () {
    Route::resource('/laundry/item_items', 'Bek\Laundry\Http\Controllers\ItemItemsUserController');
});

// Public routes for item_items
Route::get('laundry/item_items', 'Bek\Laundry\Http\Controllers\ItemItemsPublicController@index');
Route::get('laundry/item_items/{slug?}', 'Bek\Laundry\Http\Controllers\ItemItemsPublicController@show');

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/laundry/payments', 'Bek\Laundry\Http\Controllers\PaymentsAdminController');
});

// User routes for payments
Route::group(['prefix' => 'user'], function () {
    Route::resource('/laundry/payments', 'Bek\Laundry\Http\Controllers\PaymentsUserController');
});

// Public routes for payments
Route::get('laundry/payments', 'Bek\Laundry\Http\Controllers\PaymentsPublicController@index');
Route::get('laundry/payments/{slug?}', 'Bek\Laundry\Http\Controllers\PaymentsPublicController@show');

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/laundry/payment_methods', 'Bek\Laundry\Http\Controllers\PaymentMethodsAdminController');
});

// User routes for payment_methods
Route::group(['prefix' => 'user'], function () {
    Route::resource('/laundry/payment_methods', 'Bek\Laundry\Http\Controllers\PaymentMethodsUserController');
});

// Public routes for payment_methods
Route::get('laundry/payment_methods', 'Bek\Laundry\Http\Controllers\PaymentMethodsPublicController@index');
Route::get('laundry/payment_methods/{slug?}', 'Bek\Laundry\Http\Controllers\PaymentMethodsPublicController@show');

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/laundry/orders', 'Bek\Laundry\Http\Controllers\OrdersAdminController');
});

// User routes for orders
Route::group(['prefix' => 'user'], function () {
    Route::resource('/laundry/orders', 'Bek\Laundry\Http\Controllers\OrdersUserController');
});

// Public routes for orders
Route::get('laundry/orders', 'Bek\Laundry\Http\Controllers\OrdersPublicController@index');
Route::get('laundry/orders/{slug?}', 'Bek\Laundry\Http\Controllers\OrdersPublicController@show');

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/laundry/orders', 'Bek\Laundry\Http\Controllers\OrdersAdminController');
});

// User routes for orders
Route::group(['prefix' => 'user'], function () {
    Route::resource('/laundry/orders', 'Bek\Laundry\Http\Controllers\OrdersUserController');
});

// Public routes for orders
Route::get('laundry/orders', 'Bek\Laundry\Http\Controllers\OrdersPublicController@index');
Route::get('laundry/orders/{slug?}', 'Bek\Laundry\Http\Controllers\OrdersPublicController@show');

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/laundry/injurs', 'Bek\Laundry\Http\Controllers\InjursAdminController');
});

// User routes for injurs
Route::group(['prefix' => 'user'], function () {
    Route::resource('/laundry/injurs', 'Bek\Laundry\Http\Controllers\InjursUserController');
});

// Public routes for injurs
Route::get('laundry/injurs', 'Bek\Laundry\Http\Controllers\InjursPublicController@index');
Route::get('laundry/injurs/{slug?}', 'Bek\Laundry\Http\Controllers\InjursPublicController@show');

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/laundry/area', 'Bek\Laundry\Http\Controllers\AreaAdminController');
});

// User routes for area
Route::group(['prefix' => 'user'], function () {
    Route::resource('/laundry/area', 'Bek\Laundry\Http\Controllers\AreaUserController');
});

// Public routes for area
Route::get('laundry/area', 'Bek\Laundry\Http\Controllers\AreaPublicController@index');
Route::get('laundry/area/{slug?}', 'Bek\Laundry\Http\Controllers\AreaPublicController@show');

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/laundry/user_discounts', 'Bek\Laundry\Http\Controllers\UserDiscountsAdminController');
});

// User routes for user_discounts
Route::group(['prefix' => 'user'], function () {
    Route::resource('/laundry/user_discounts', 'Bek\Laundry\Http\Controllers\UserDiscountsUserController');
});

// Public routes for user_discounts
Route::get('laundry/user_discounts', 'Bek\Laundry\Http\Controllers\UserDiscountsPublicController@index');
Route::get('laundry/user_discounts/{slug?}', 'Bek\Laundry\Http\Controllers\UserDiscountsPublicController@show');

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/laundry/discounts', 'Bek\Laundry\Http\Controllers\DiscountsAdminController');
});

// User routes for discounts
Route::group(['prefix' => 'user'], function () {
    Route::resource('/laundry/discounts', 'Bek\Laundry\Http\Controllers\DiscountsUserController');
});

// Public routes for discounts
Route::get('laundry/discounts', 'Bek\Laundry\Http\Controllers\DiscountsPublicController@index');
Route::get('laundry/discounts/{slug?}', 'Bek\Laundry\Http\Controllers\DiscountsPublicController@show');

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/laundry/blocks', 'Bek\Laundry\Http\Controllers\BlocksAdminController');
});

// User routes for blocks
Route::group(['prefix' => 'user'], function () {
    Route::resource('/laundry/blocks', 'Bek\Laundry\Http\Controllers\BlocksUserController');
});

// Public routes for blocks
Route::get('laundry/blocks', 'Bek\Laundry\Http\Controllers\BlocksPublicController@index');
Route::get('laundry/blocks/{slug?}', 'Bek\Laundry\Http\Controllers\BlocksPublicController@show');

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/laundry/options', 'Bek\Laundry\Http\Controllers\OptionsAdminController');
});

// User routes for options
Route::group(['prefix' => 'user'], function () {
    Route::resource('/laundry/options', 'Bek\Laundry\Http\Controllers\OptionsUserController');
});

// Public routes for options
Route::get('laundry/options', 'Bek\Laundry\Http\Controllers\OptionsPublicController@index');
Route::get('laundry/options/{slug?}', 'Bek\Laundry\Http\Controllers\OptionsPublicController@show');

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/laundry/block_categories', 'Bek\Laundry\Http\Controllers\BlockCategoriesAdminController');
});

// User routes for block_categories
Route::group(['prefix' => 'user'], function () {
    Route::resource('/laundry/block_categories', 'Bek\Laundry\Http\Controllers\BlockCategoriesUserController');
});

// Public routes for block_categories
Route::get('laundry/block_categories', 'Bek\Laundry\Http\Controllers\BlockCategoriesPublicController@index');
Route::get('laundry/block_categories/{slug?}', 'Bek\Laundry\Http\Controllers\BlockCategoriesPublicController@show');
