<?php

namespace Bek\Laundry\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Lavalite\Filer\FilerTrait;

class Options extends Model
{
    use FilerTrait, SoftDeletes;

    protected $dates = ['deleted_at'];

    /**
     * Initialiaze page modal.
     *
     * @param $name
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Initialize the modal variables.
     *
     * @return void
     */
    public function initialize()
    {
        $this->fillable = config('laundry.options.fillable');
        $this->uploads = config('laundry.options.uploadable');
        $this->uploadRootFolder = config('laundry.options.upload_root_folder');
        $this->table = config('laundry.options.table');
    }
}
